Bug 245257 - aspell-bg 50:0.50-15 kills bulgarian.kbd
Summary: aspell-bg 50:0.50-15 kills bulgarian.kbd
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: aspell-bg (Show other bugs)
(Show other bugs)
Version: 7
Hardware: All Linux
low
urgent
Target Milestone: ---
Assignee: Ivana Varekova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-21 22:01 UTC by Doncho Gunchev
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-27 13:07:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Doncho Gunchev 2007-06-21 22:01:00 UTC
Description of problem:
' iconv -f windows-1251 -t utf-8 <bulgarian.kbd >bulgarian.kbd ' in the .spec 
file. This command is doomed to zero the file always!

Version-Release number of selected component (if applicable):
aspell-bg-0.50-15.fc7

Additional info:
I used 'recode' in my comment to bug # 238426 with a good reason! With iconv, 
please use a temp file like this:
"""
iconv -f windows-1251 -t utf-8 < bulgarian.kbd > bulgarian.kbd.tmp
mv bulgarian.kbd.tmp bulgarian.kbd
"""

Comment 1 Doncho Gunchev 2007-06-21 22:20:26 UTC
Ops, and one more thing - bg_phonet.dat is in cp1251 too. I have no idea when 
this file is being used :-(Does it have something to do with bg.dat (the later 
contains cp1251 for charset, see also bug # 244569)?

Comment 2 Ivana Varekova 2007-06-27 13:07:44 UTC
Oops, thanks. Fixed in aspell-bg-0.50-16.

Comment 3 Fedora Update System 2007-06-28 01:52:46 UTC
aspell-bg-0.50-16.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Doncho Gunchev 2007-06-28 14:05:57 UTC
It's fixed ;-) thank you!


Note You need to log in before you can comment on or make changes to this bug.